curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"amount": "<string>",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>"
},
"client_note": "<string>"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals"
payload = {
"amount": "<string>",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>"
},
"client_note": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: '<string>',
destination: {chain: '<string>', address: '<string>', memo: '<string>'},
client_note: '<string>'
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"amount": "<string>",
"currency": "usdc",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>",
"tx_hash": "<string>",
"gas_fee": {
"amount": "<string>",
"currency": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"type": "top_up_balance_withdrawal",
"client_note": "<string>"
}Create a funds withdrawal request
Request a funds withdrawal from the card account, applicable to top-up accounts only. For Bridge wallets, create a transfer from the Bridge wallet.
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Body
The withdrawal request
A card funds withdrawal
The amount represented as a decimal string
Show child attributes
Show child attributes
The type of the withdrawal. Defaults to top_up_balance_withdrawal.
top_up_balance_withdrawal, fee An optional client-provided note for the withdrawal
Response
The successfully created card funds withdrawal
A card funds withdrawal
ID of the withdrawal
1 - 42[a-z0-9]*ID of the card account associated with the withdrawal
1 - 42[a-z0-9]*ID of the customer who owns the card account
1 - 42[a-z0-9]*The amount represented as a decimal string
The currency of the withdrawal, which is the crypto currency on the card account
usdc Show child attributes
Show child attributes
Timestamp when the withdrawal was created, in ISO8601 format
Timestamp when the withdrawal was last updated, in ISO8601 format
The type of the withdrawal. Defaults to top_up_balance_withdrawal.
top_up_balance_withdrawal, fee An optional client-provided note for the withdrawal
Was this page helpful?